Qt Reference Documentation

# QGenericPluginFactory Class Reference

The QGenericPluginFactory class creates window-system related plugin drivers in Qt QPA. More...

     #include <QGenericPluginFactory>

This class was introduced in Qt 4.8.

- List of all members, including inherited members

## Static Public Members

QObject * | create ( const QString & key, const QString & specification )
QStringList | keys ()

## Detailed Description

The QGenericPluginFactory class creates window-system related plugin drivers in Qt QPA.

Note that this class is only available in Qt QPA.

See also QGenericPlugin.

## Member Function Documentation

### QObject * QGenericPluginFactory::create ( const QString & key, const QString & specification )`[static]`

Creates the driver specified by key, using the given specification.

Note that the keys are case-insensitive.

See also keys().

### QStringList QGenericPluginFactory::keys ()`[static]`

Returns the list of valid keys, i.e. the available mouse drivers.

See also create().